<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Messages\Controllers\AttachmentsController;
use App\Http\ApiV1\Modules\Messages\Controllers\ChatsController;
use App\Http\ApiV1\Modules\Messages\Controllers\MessagesController;
use Illuminate\Support\Facades\Route;

Route::post('chats', [ChatsController::class, 'create']);
Route::delete('chats/{id}', [ChatsController::class, 'delete']);
Route::patch('chats/{id}', [ChatsController::class, 'patch']);
Route::post('chats:search', [ChatsController::class, 'search']);
Route::post('messages:search', [MessagesController::class, 'search']);
Route::post('attachments', [AttachmentsController::class, 'create']);
Route::post('attachments:mass-delete', [AttachmentsController::class, 'massDelete']);
